Karia
ReferencesOpenapiOrigination

Calculate novated operating budget

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/calculate-novated-budget

Calculate the novated operating budget for the specified quote using the supplied budget assumptions.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
dealId*string
quoteId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organisation/string/workspace/string/origination/deal/string/quote/string/calculate-novated-budget" \  -H "Content-Type: application/json" \  -d '{    "details": {      "annualKilometres": 0,      "fuelType": "string",      "values": {        "maintenance": {},        "tyres": {},        "registration": {},        "vehicleInsurance": {}      }    }  }'
{  "type": "novated_operating_budget",  "details": {    "budgetLineItems": [      {        "type": "accessories",        "recommendedAmountExGst": 0      }    ]  }}